VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends Groups Pages
Public Member Functions | List of all members
IMouseObserver Class Referenceabstract

generic mouse observer interface for CFrame More...

Inheritance diagram for IMouseObserver:

## Public Member Functions
virtual | ~IMouseObserver () noexcept=default
virtual void | onMouseEntered (CView *view, CFrame *frame)=0
virtual void | onMouseExited (CView *view, CFrame *frame)=0
virtual void | onMouseEvent (MouseEvent &event, CFrame *frame)=0

## Detailed Description

generic mouse observer interface for CFrame

## Constructor & Destructor Documentation

virtual ~IMouseObserver | ( |  | ) |
| virtual default noexcept

## Member Function Documentation

virtual void onMouseEntered | ( | CView * | view,
|  | CFrame * | frame
| ) |  |
| pure virtual

Implemented in OldMouseObserverAdapter, and VST3Editor.

virtual void onMouseEvent | ( | MouseEvent & | event,
|  | CFrame * | frame
| ) |  |
| pure virtual

Implemented in OldMouseObserverAdapter, and VST3Editor.

virtual void onMouseExited | ( | CView * | view,
|  | CFrame * | frame
| ) |  |
| pure virtual

Implemented in OldMouseObserverAdapter, and VST3Editor.

The documentation for this class was generated from the following file:

- cframe.h